---
title: Vaultwarden
template: docs
taxonomy:
    category: docs, apps
routes:
  default: '/app_vaultwarden'
  aliases:
    - '/app_bitwarden'
---

![Bitwarden's logo](image://bitwarden_logo.png?width=80)

[![Install Vaultwarden with YunoHost](https://install-app.yunohost.org/install-with-yunohost.png)](https://install-app.yunohost.org/?app=vaultwarden) [![Integration level](https://dash.yunohost.org/integration/vaultwarden.svg)](https://dash.yunohost.org/appci/app/vaultwarden)

### Index

- [Configuration](#configuration)
- [Limitations with YunoHost](#limitations-with-yunohost)
- [Customer Applications](#customer-applications)
- [Useful links](#useful-links)

Vaultwarden is a freemium libre password manager under AGPL license, allowing generation and storage of passwords in a secure way. These are protected by a single password called the "master password". It was created in 2016 by Kyle Spearrin, a software architect.

The software is available for most operating systems (GNU/Linux, Windows, macOS, iOS, Android and command-line), and as a web browser plug-in. It is also possible to view passwords from a website.[¹](#sources)

## Configuration

To configure the app, go to this address: `sub.domain.tld/admin`

## Limitations with YunoHost

HTTP and LDAP authentication are not supported.

## Customer applications

| Application name [²] | Platform | Multi-account | Source | Play Store | F-Droid | Apple Store |
|----------------------|----------|---------------|--------|------------|---------|-------------|
| Bitwarden | GNU/Linux / macOS / Windows  | Oui | [bitwarden.com - download](https://bitwarden.com/#download) |
| Bitwarden | Android / iOS | ? |  | [Playstore - Birwarden](https://play.google.com/store/apps/details?id=com.x8bit.bitwarden) | X | [App Store - Bitwarden](https://itunes.apple.com/app/bitwarden-free-password-manager/id1137397744?mt=8) |

> [²]: (of) : Official / (un) : Unofficial

## Useful links

+ Website: [bitwarden.com](https://bitwarden.com/)
+ Official documentation: [help.bitwarden.com](https://help.bitwarden.com/)
+ Application software repository: [github.com - YunoHost-Apps/vaultwarden](https://github.com/YunoHost-Apps/vaultwarden_ynh)
+ Fix a bug or an improvement by creating a ticket (issue): [github.com - YunoHost-Apps/vaultwarden/issues](https://github.com/YunoHost-Apps/vaultwarden_ynh/issues)

-----

### Sources

¹ [wikipedia.org - Bitwarden](https://en.wikipedia.org/wiki/Bitwarden)
